Set-StrictMode -Version latest
$lines = Get-Content -Path $PSScriptRoot\input
$first = @()
$second = @()
ForEach ($line in $lines)
{
    $parts = $line -split " "
    $parts = $parts | Where-Object { $_ }
    $first += $parts[0]
    $second += $parts[1]
}
$first = $first | Sort-Object
$second = $second | Sort-Object
$distances = 0
for ($i=0; $i -lt $first.Length; $i++) {
    $left = $first[$i]
    $right = $second[$i]
    $distances += [Math]::Abs($left - $right)
}
Write-Host $distances