Set-StrictMode -Version latest
$lines = Get-Content -Path $PSScriptRoot\input
$first = @()
$second = @()
$sum = 0
ForEach ($line in $lines)
{
    $parts = $line -split " "
    $parts = $parts | Where-Object { $_ } #Remove empty items (spaces)
    $first += $parts[0]
    $second += $parts[1]
}
$groups = $second | Group-Object -AsHashTable -AsString
forEach ($left in $first)
{
    if ($groups[$left]) {
        $sum += [int]$left * $groups[$left].Count
    }
}
Write-Host $sum