Set-StrictMode -Version latest
$regA=64196994
$regB=0
$regC=0
$program=@(2,4,1,1,7,5,1,5,4,0,0,3,5,5,3,0)
$instruction=0
$output=@()
while($true) {
    [int]$regA=$regA
    [int]$regB=$regB
    [int]$regC=$regC
    [int]$instruction=$instruction
    if($instruction -ge $program.Length) {
        Write-Host "output: $output"
        Write-Host "regA: $regA"
        Write-Host "regB: $regB"
        Write-Host "regC: $regC"
        Write-Host "instruction: $instruction"
        break
    }
    $opcode = $program[$instruction]
    $literal = $program[$instruction+1]
    $combo = $literal
    if($literal -eq 4) {
        $combo = $regA
    }
    if($literal -eq 5) {
        $combo = $regB
    }
    if($literal -eq 6) {
        $combo = $regC
    }
    if($literal -eq 7) {
        $combo = 9999
    }

    if($opcode -eq 0) {
        #adv (A=A/2^combo)
        $regA = $regA -shr $combo
    }
    if($opcode -eq 1) {
        #bxl (B=B xor literal)
        $regB = $regB -bxor $literal
    }
    if($opcode -eq 2) {
        #bst (B=combo%8)
        $regB = $combo%8
    }
    if($opcode -eq 3) {
        #jnz (jump if A not zero -> literal)
        if($regA -ne 0) {
            $instruction=$literal-2
        }
    }
    if($opcode -eq 4) {
        #bxc (B=B XOR C)
        $regB = $regB -bxor $regC
    }
    if($opcode -eq 5) {
        #out (output+=combo%8)
        $output += $combo%8
    }
    if($opcode -eq 6) {
        #bdv (B=A/2^combo)
        $regB = $regA -shr $combo
        #TODO check truncation
    }
    
    if($opcode -eq 7) {
        #cdv (C=A/2^combo)
        $regC = $regA -shr $combo
        #TODO check truncation
    }
    $instruction+=2
} 