Set-StrictMode -Version latest
$part2 = $true
$line = Get-Content -Path $PSScriptRoot\input
$actions = Select-String "(mul\(\d{1,3}\,\d{1,3}\))|do\(\)|don\'t\(\)" -input $line -AllMatches | ForEach-Object matches | ForEach-Object Value
$sum = 0
$doing = $true
$actions | ForEach-Object {
    if($_ -eq "do()") {
        $doing = $true
    } elseif($_ -eq "don't()") {
        if($part2) {
            $doing = $false
        }
    } elseif($doing -eq $false) {} else {
        $ignore = $_ -match 'mul\((\d{1,3})\,(\d{1,3})\)'
        $first = [int]$Matches[1]
        $second = [int]$Matches[2]
        $multiply = [int]$first * [int]$second
        $sum += $multiply
    }
}
Write-Host $sum